version: "3.5"

services:
  broker:
    image: eclipse-mosquitto:1.5
    ports:
      - target: 1883
        published: 1883
        mode: ingress
      - target: 8883
        published: 8883
        mode: ingress
    volumes:
      - type: volume
        source: broker-data
        target: /mosquitto/data
      - type: bind
        source: /opt/dockerdata/broker/mosquitto.conf
        target: /mosquitto/config/mosquitto.conf
      - type: bind
        source: /opt/dockerdata/broker/users.txt
        target: /mosquitto/config/users.txt
      - type: bind
        source: /opt/dockerdata/broker/mosquitto.log
        target: /mosquitto/log/mosquitto.log
      - type: bind
        source: /opt/dockerdata/acme/private/broker.lab.nexhome.ch.key
        target: /mosquitto/cert/broker.lab.nexhome.ch.key
      - type: bind
        source: /opt/dockerdata/acme/certs/broker.lab.nexhome.ch.crt
        target: /mosquitto/cert/broker.lab.nexhome.ch.crt
    networks:
      - backend
    deploy:
      replicas: 1
      placement:
        constraints:
          - node.role == manager
      restart_policy:
        condition: on-failure
      resources:
        limits:
          cpus: '0.5'
          memory: 300M
        reservations:
          cpus: '0.25'
          memory: 30M

networks:
  backend:
    driver: overlay
    external: true

volumes:
  broker-data:
